SQLITE_DENY(3)

NAME
SQLITE_DENY, SQLITE_IGNORE - authorizer return codes

SYNOPSIS
#include <sqlite3.h>
#define SQLITE_DENY
#define SQLITE_IGNORE

DESCRIPTION
The authorizer callback function must return either SQLITE_OK or one of these two constants in order to signal SQLite whether or not the action is permitted. See the authorizer documentation for additional information.

Note that SQLITE_IGNORE is also used as a conflict resolution mode returned from the sqlite3_vtab_on_conflict() interface.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 3219.

    #define SQLITE_DENY   1   /* Abort the SQL statement with an error */
    #define SQLITE_IGNORE 2   /* Don't allow access, but don't generate an error */

SEE ALSO
sqlite3_set_authorizer(3), sqlite3_vtab_on_conflict(3), SQLITE_OK(3), SQLITE_ROLLBACK(3)